API referenceContacts

Update a contact

PATCH/contacts/{id}

By id or address. properties merge into the stored ones; null removes one. unsubscribed: true opts the contact out of all marketing email.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 254

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/contacts/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "object": "contact",  "id": "string",  "email": "string",  "first_name": "string",  "last_name": "string",  "unsubscribed": true,  "properties": {    "property1": "string",    "property2": "string"  },  "external_id": "string",  "source": "api",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}